Bug 46900 - i18N: polish property file
i18N: polish property file
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.3.2
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-03-24 03:56 UTC by kamil
Modified: 2009-05-08 19:55 UTC (History)
0 users



Attachments
Polish property file (41.61 KB, application/octet-stream)
2009-03-24 03:56 UTC, kamil
Details
CSVDataSetResources.properties - Polish language file (2.62 KB, application/octet-stream)
2009-04-08 00:47 UTC, kamil
Details
CORRECTED: CSVDataSetResources.properties - Polish language file (2.49 KB, application/octet-stream)
2009-04-08 01:06 UTC, kamil
Details
Corrected: polish resource file (98.18 KB, application/zip)
2009-04-10 00:39 UTC, kamil
Details
Slightly enhanced polish property file (just one file) (38.21 KB, application/octet-stream)
2009-04-30 05:09 UTC, kamil
Details
BSFAssertion - polish properties (1.66 KB, application/octet-stream)
2009-05-03 03:15 UTC, kamil
Details
RandomVariableConfig - polish properties file (1.61 KB, application/octet-stream)
2009-05-03 03:25 UTC, kamil
Details
BeanShell post processor - polish properties file (1.60 KB, application/octet-stream)
2009-05-03 03:32 UTC, kamil
Details
BSF PostProcessorResources - polish property file (1.68 KB, application/octet-stream)
2009-05-05 23:58 UTC, kamil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kamil 2009-03-24 03:56:46 UTC
Created attachment 23404 [details]
Polish property file

Polish property file
Comment 1 Sebb 2009-04-03 06:27:25 UTC
Thanks for the new file.

However, there are some problems with the file:

Lots of extra blank lines and spaces around "="

Many of the keys have not been translated; only translated entries should be in the file please.

By the way, there are also several other property files that would need translating into Polish, for example CSVDataSetResources.properties - a search for *Resources.properties should find them all if you want to provide some more translations. [These other files are quite a bit smaller.]
Comment 2 kamil 2009-04-08 00:47:58 UTC
Created attachment 23458 [details]
CSVDataSetResources.properties - Polish language file
Comment 3 kamil 2009-04-08 00:51:18 UTC
You'll find attached CSVDataSetResources (for now).
Which property files are the most important, and should be translated first?
Comment 4 kamil 2009-04-08 01:06:58 UTC
Created attachment 23459 [details]
CORRECTED: CSVDataSetResources.properties - Polish language file

Unnecessary spaces and empty lines removed
Comment 5 kamil 2009-04-10 00:39:54 UTC
Created attachment 23478 [details]
Corrected: polish resource file

Removed unnecessary empty lines and spaces
Comment 6 Sebb 2009-04-16 11:10:35 UTC
Thanks for the CSVDataSet properties file.

I've committed the new files.

URL: http://svn.apache.org/viewvc?rev=765707&view=rev
Log:
 Bug 46900 -  i18N: polish property file

Should you wish to do some more translations (not compulsory!), these are the other properties files that need translating:

src/components/org/apache/jmeter/assertions/BSFAssertionResources.properties
src/components/org/apache/jmeter/config/RandomVariableConfigResources.properties
src/components/org/apache/jmeter/extractor/BeanShellPostProcessorResources.properties
src/components/org/apache/jmeter/extractor/BSFPostProcessorResources.properties
src/components/org/apache/jmeter/extractor/DebugPostProcessorResources.properties
src/components/org/apache/jmeter/modifiers/BeanShellPreProcessorResources.properties
src/components/org/apache/jmeter/modifiers/BSFPreProcessorResources.properties
src/components/org/apache/jmeter/sampler/DebugSamplerResources.properties
src/components/org/apache/jmeter/timers/BeanShellTimerResources.properties
src/components/org/apache/jmeter/timers/ConstantThroughputTimerResources.properties
src/components/org/apache/jmeter/timers/SyncTimerResources.properties
src/components/org/apache/jmeter/visualizers/BeanShellListenerResources.properties
src/components/org/apache/jmeter/visualizers/BSFListenerResources.properties
src/protocol/http/org/apache/jmeter/protocol/http/sampler/AccessLogSamplerResources.properties
src/protocol/jdbc/org/apache/jmeter/protocol/jdbc/config/DataSourceElementResources.properties
src/protocol/jdbc/org/apache/jmeter/protocol/jdbc/sampler/JDBCSamplerResources.properties
Comment 7 kamil 2009-04-30 05:09:16 UTC
Created attachment 23566 [details]
Slightly enhanced polish property file (just one file)

More resource strings translated
Comment 8 Sebb 2009-04-30 05:39:50 UTC
Please don't add new keys to the property file:

Locale: pl has unexpected key: jp
Locale: pl has unexpected key: dicom_cmove_title
Locale: pl has unexpected key: dicom_cfind_title
Locale: pl has unexpected key: dicom_clear_database_title
Locale: pl has unexpected key: dicom_cstore_title
Locale: pl has unexpected key: jms_authentication
Locale: pl has unexpected key: dicom_gui_title
Locale: pl has unexpected key: jms_auth_not_required

Only keys that are present in the default messages.properties file are allowed.

The key "jp" should be "ja", the other keys need to be removed.
I have done it this time, but future patches need to comply.

URL: http://svn.apache.org/viewvc?rev=770202&view=rev
Log:
 Bug 46900 -  i18N: polish property file (2009-04-30 05:09 PST)
 Amended to remove invalid keys
Comment 9 kamil 2009-05-03 03:15:51 UTC
Created attachment 23599 [details]
BSFAssertion - polish properties

Additional resource file translated.
Comment 10 kamil 2009-05-03 03:25:21 UTC
Created attachment 23600 [details]
RandomVariableConfig - polish properties file
Comment 11 kamil 2009-05-03 03:32:49 UTC
Created attachment 23601 [details]
BeanShell post processor - polish properties file
Comment 12 Sebb 2009-05-05 07:44:09 UTC
Thanks, new files added in:

URL: http://svn.apache.org/viewvc?rev=771752&view=rev
Log:
Bug 46900 - Polish translations
Comment 13 kamil 2009-05-05 23:58:28 UTC
Created attachment 23616 [details]
BSF PostProcessorResources - polish property file
Comment 14 Sebb 2009-05-08 19:55:08 UTC
URL: http://svn.apache.org/viewvc?rev=773155&view=rev
Log:
 Bug 46900 -  i18N: polish property file